/* DBG */

#ifndef DBG_H
#define DBG_H

#ifdef DBG_ALLOCATE
#define EXTERN
#else
#define EXTERN extern
#endif


#define LOG_ENTRY_MAX 64
EXTERN SINT2  ilog_ctr;

EXTERN Widget dbg_mainbar;
EXTERN Widget dbg_filebtn, dbg_filepdw;
EXTERN Widget dbg_menubtn, dbg_menupdw;
EXTERN Widget dbg_printpdw;


EXTERN XsLAB_TGL dbgscc, dbgcon;

EXTERN Widget dbg_sloglab, dbg_slogonbtn, dbg_slogoffbtn;
EXTERN Widget dbg_legendlab;
EXTERN Widget dbg_loglst;

void   dbg_file_cbf();
void   dbg_menu_cbf();
void   dbg_scctgl_cbf();
void   dbg_contgl_cbf();
void   dbg_slogonbtn_cbf();
void   dbg_slogoffbtn_cbf();
void   dbg_scclog( char * );

#undef EXTERN
#endif
